using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using Telerik.Windows.Controls.GridView;

namespace RadGridView_SL4_AR_44
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            var nameColumn = (GridViewBoundColumnBase)this.clubsGrid.Columns[0];
            var customFilteringControl = new MyFilteringControl();
            nameColumn.FilteringControl = customFilteringControl;
        }       
    }

    public class MyFilteringControl : FilteringControl
    {
        public override void Prepare(GridViewBoundColumnBase column)
        {
            base.Prepare(column);

            FilteringViewModel vm = this.DataContext as FilteringViewModel;

            if (vm != null)
            {
                if (!vm.Filter1.IsActive)
                {
                    vm.Filter1.Operator = FilterOperator.Contains;
                }

                if (!vm.Filter2.IsActive)
                {
                    vm.Filter2.Operator = FilterOperator.Contains;
                }
            }
        }

    }
}
